aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-04-01 22:56:03 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-04-01 22:56:03 +0000
commit83dba6bcf275e64e2f2e817d0f5fd27e5001dce9 (patch)
treea04865db22eb19dcb2675fa8844e776d62cd94fa
parent6da4ca368cf24c9b6c0a16bf09e296bd20ea8596 (diff)
downloadpaludis-83dba6bcf275e64e2f2e817d0f5fd27e5001dce9.tar.gz
paludis-83dba6bcf275e64e2f2e817d0f5fd27e5001dce9.tar.xz
wget timeout of 30 seconds, with no retries
-rw-r--r--ebuild/builtin_fetch.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/ebuild/builtin_fetch.bash b/ebuild/builtin_fetch.bash
index 6ffe6cb..60f93e0 100644
--- a/ebuild/builtin_fetch.bash
+++ b/ebuild/builtin_fetch.bash
@@ -35,7 +35,7 @@ builtin_fetch()
ebuild_section "Need to fetch ${aa}"
old_aa="${aa}"
fi
- if ! wget -O "${DISTDIR}/${aa}" "${a}" ; then
+ if ! wget -T 30 -t 1 -O "${DISTDIR}/${aa}" "${a}" ; then
rm -f "${DISTDIR}/${aa}"
fi
else